CGVIEW(1)

NAME
cgview - Circular Genome Viewer

SYNOPSIS
cgview [OPTIONS] ...

DESCRIPTION
CGView is a Java package for generating high quality, zoomable maps of circular genomes. Its primary purpose is to serve as a component of sequence annotation pipelines, as a means of generating visual output suitable for the web. Feature information and rendering options are supplied to the program using an XML file, a tab delimited file, or an NCBI ptt file. CGView converts the input into a graphical map (PNG, JPG, or Scalable Vector Graphics format), complete with labels, a title, legends, and footnotes. In addition to the default full view map, the program can generate a series of hyperlinked maps showing expanded views. The linked maps can be explored using any web browser, allowing rapid genome browsing, and facilitating data sharing. The feature labels in maps can be hyperlinked to external resources, allowing CGView maps to be integrated with existing web site content or databases.

OPTIONS

-A <integer> Specifies a label font size.

-c <integer> Specifies the base to center on when zooming.

-D <integer> Specifies a legend font size.

-d <real> Specifies tick density, between 0 and 1.0. Default is 1.0.

-E <boolean> Whether or not to embed vector-based text in SVG output.

-e <boolean> Whether or not to exclude SVG output from image series.

-f <format> The format of the output: PNG, JPG, SVG, or SVGZ.

-h <file> HTML file to create.

-H <integer> The height of the map.

-i <file> The input file to parse.

-I <boolean> Whether or not to draw labels on the inside of the backbone circle.

-L <integer> The width of an external legend.

-o <file> The image file to create.

-p <path> The path to the image file in the HTML file created using the -h option.

-r <boolean> Whether or not to remove legends.

-R <boolean> Whether or not to remove labels.

-s <directory> Directory to receive an image series.

-S <boolean> Whether or not to reference external stylesheet in HTML output.

-u <boolean> Whether or not to reference overlib.js in HTML output.

-U <integer> Specifies a sequence ruler font size.

-W <integer> The width of the map.

-x <string> Comma separated zoom values for image series.

-z <real> The factor to zoom in by.

EXAMPLES
cgview -f png -i cybercell.xml -o my_picture.png -h view_image.html

cgview -i cybercell.xml -s directory_for_series -e true